// XText3Dlg.h : header file
//

#if !defined(AFX_XTEXT3DLG_H__BA3D008B_33E2_4BFD_9E2A_F696CD0E4B6B__INCLUDED_)
#define AFX_XTEXT3DLG_H__BA3D008B_33E2_4BFD_9E2A_F696CD0E4B6B__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

struct Opt
{
	CString inf, outf;
	int MinWord,
		Type,
		Cod,
		Lang;
	BOOL Sort, Del;
};


/////////////////////////////////////////////////////////////////////////////
// CXText3Dlg dialog

class CXText3Dlg : public CDialog
{
// Construction
public:
	CXText3Dlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CXText3Dlg)
	enum { IDD = IDD_XTEXT3_DIALOG };
	CSpinButtonCtrl	m_Spin;
	int 	m_Lang;
	int		m_Type;
	BOOL	m_Sort;
	BOOL	m_Del;
	int		m_Cod;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CXText3Dlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;
	CString InFile, OutFile;
	BOOL SelIn, SelOut;
	int MinWord;
	Opt sOpt;

	// Generated message map functions
	//{{AFX_MSG(CXText3Dlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnClose();
	afx_msg void OnBrowsein();
	afx_msg void OnBrowseout();
	afx_msg void OnCheck1();
	afx_msg void OnCheck2();
	afx_msg void OnRadio1();
	afx_msg void OnRadio2();
	afx_msg void OnRadio3();
	afx_msg void OnRadio4();
	afx_msg void OnRadio5();
	afx_msg void OnDeltaposSpin(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnDestroy();
	afx_msg void OnSelchangeCod();
	afx_msg void OnStart();
	afx_msg void OnAbout();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_XTEXT3DLG_H__BA3D008B_33E2_4BFD_9E2A_F696CD0E4B6B__INCLUDED_)
